import { CreateReminderPayload, CreateTaskPayload, TaskUpdateType, UpdateReminderPayload, allTypes, resolveTaskPayload, splitOrderType } from './types';
import { OrdersType } from '../types';
export declare const initialPayload: CreateTaskPayload;
export declare const initialValue: CreateReminderPayload;
export declare const updatePayload: UpdateReminderPayload;
export declare const flagInitialValue: TaskUpdateType;
export declare const resolvedValue: resolveTaskPayload;
export declare function useFlagsLoading(): [boolean, (args_0: boolean | ((prev: boolean) => boolean)) => void];
export declare function useTaskLoading(): [boolean, (args_0: boolean | ((prev: boolean) => boolean)) => void];
export declare const initialConfirmOrderErrValues: {
    homeContactError: string;
    workContactError: string;
    mobileError: string;
    emailError: string;
};
export declare const splitOrderinitialValue: splitOrderType;
export declare function useErrorConfirmOrder(): [{
    homeContactError: string;
    workContactError: string;
    mobileError: string;
    emailError: string;
}, (args_0: {
    homeContactError: string;
    workContactError: string;
    mobileError: string;
    emailError: string;
} | ((prev: {
    homeContactError: string;
    workContactError: string;
    mobileError: string;
    emailError: string;
}) => {
    homeContactError: string;
    workContactError: string;
    mobileError: string;
    emailError: string;
})) => void];
export declare function useConfirmOrderDate(): [any, (args_0: any) => void];
export declare function useOrderDetailsConfirmOrder(): [OrdersType, (args_0: OrdersType | ((prev: OrdersType) => OrdersType)) => void];
export declare function useSplitOrderPayload(): [splitOrderType, (args_0: splitOrderType | ((prev: splitOrderType) => splitOrderType)) => void];
export declare function useSelectedSplit(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
export declare function useLoadingText(): [{
    title: string;
    subtitle: string;
} | undefined, (args_0: {
    title: string;
    subtitle: string;
} | ((prev: {
    title: string;
    subtitle: string;
} | undefined) => {
    title: string;
    subtitle: string;
} | undefined) | undefined) => void];
export declare function useCreateTaskPayload(): [CreateTaskPayload, (args_0: CreateTaskPayload | ((prev: CreateTaskPayload) => CreateTaskPayload)) => void];
export declare function useCreateReminderPayload(): [CreateReminderPayload, (args_0: CreateReminderPayload | ((prev: CreateReminderPayload) => CreateReminderPayload)) => void];
export declare function useStaticData(): [allTypes[] | null, (args_0: allTypes[] | ((prev: allTypes[] | null) => allTypes[] | null) | null) => void];
export declare function useTaskPriority(): [any, (args_0: any) => void];
export declare function useCategoryData(): [any, (args_0: any) => void];
export declare function useDepartmentData(): [any, (args_0: any) => void];
export declare function useNotiifcationLabel(): [any, (args_0: any) => void];
export declare function useTaskTypeData(): [any, (args_0: any) => void];
export declare function useErrorMessage(): [any, (args_0: any) => void];
export declare function useTaskTypeExtended(): [any, (args_0: any) => void];
export declare function useTasksData(): [any, (args_0: any) => void];
export declare function useDeptData(): [any, (args_0: any) => void];
export declare function useReminderNotiData(): [any, (args_0: any) => void];
export declare function useFlagById(): [any, (args_0: any) => void];
export declare function useUpdateTask(): [TaskUpdateType, (args_0: TaskUpdateType | ((prev: TaskUpdateType) => TaskUpdateType)) => void];
export declare function useSingleFlagData(): [any, (args_0: any) => void];
export declare function useFlagRefId(): [number | null, (args_0: number | ((prev: number | null) => number | null) | null) => void];
export declare function useResolvedPayload(): [resolveTaskPayload, (args_0: resolveTaskPayload | ((prev: resolveTaskPayload) => resolveTaskPayload)) => void];
export declare function useReminderRefId(): [number | null, (args_0: number | ((prev: number | null) => number | null) | null) => void];
export declare function useReminderById(): [any, (args_0: any) => void];
export declare function useUpdateReminderData(): [UpdateReminderPayload, (args_0: UpdateReminderPayload | ((prev: UpdateReminderPayload) => UpdateReminderPayload)) => void];
export declare function useRouteDetails(): [any, (args_0: any) => void];
export declare function useAllOrderStatus(): [string | null, (args_0: string | ((prev: string | null) => string | null) | null) => void];
export declare const selectedCategoryIdAtom: import("jotai/esm/").PrimitiveAtom<any> & {
    init: any;
};
export declare const selectedDocumentTypeAtom: import("jotai/esm/").PrimitiveAtom<any> & {
    init: any;
};
export declare const selectedTypeAtom: import("jotai/esm/").PrimitiveAtom<any> & {
    init: any;
};
export declare const selectedVisibilityAtom: import("jotai/esm/").PrimitiveAtom<any> & {
    init: any;
};
export declare const setResourcesCall: import("jotai/esm/").PrimitiveAtom<boolean> & {
    init: boolean;
};
export declare function useOrderNotify(): [number, (args_0: number | ((prev: number) => number)) => void];
